<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.kcim.dao.mapper.ImportEmpCostMapper">

	<!-- 可根据自己的需求，是否要使用 -->
    <resultMap type="com.kcim.dao.model.ImportEmpCost" id="importEmpCostMap">
        <result property="id" column="id"/>
        <result property="hospId" column="hosp_id"/>
        <result property="computeDate" column="compute_date"/>
        <result property="empCode" column="emp_code"/>
        <result property="empName" column="emp_name"/>
        <result property="hour" column="hour"/>
        <result property="salary" column="salary"/>
        <result property="variableCompensation" column="variable_compensation"/>
        <result property="cost" column="cost"/>
        <result property="createUser" column="create_user"/>
        <result property="createTime" column="create_time"/>
        <result property="updateUser" column="update_user"/>
        <result property="updateTime" column="update_time"/>
        <result property="deleteUser" column="delete_user"/>
        <result property="deleteTime" column="delete_time"/>
        <result property="delFlag" column="del_flag"/>
    </resultMap>
    <update id="reducingEmpCostByFileId">
        update import_emp_cost
        set del_flag = 0,delete_time = null,delete_user = null,update_time = #{date},update_user = #{userId}
        where del_flag = 1 and hosp_id = #{hospId} and file_id = #{fileId} and compute_date = #{computeDate}
    </update>


</mapper>